View Issue Details

IDProjectCategoryView StatusLast Update
0007147VCOMPONENT-VKERNELSQLpublic2015-12-26 12:53
ReporterFrançois Van LerbergheAssigned ToIvan Smahin 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSMac OSOS Version10.6
Product Version5.7.5 
Target VersionFixed in Version6.2.x 
Summary0007147: SQL query with clause IN (SELECT...) crash or freeze application
DescriptionWhen I make a SQL query with a WHERE Statement containing a subquery that have a SQL expression, Valentina crash (V4RB) or freeze/crash the application (VStudio).

Valentina 5.8.5
Steps To Reproduce- Open VStudio 5.8.5
- Open the test database attached to this bug report
- Execute the SQL query :
SELECT Reference FROM Plan WHERE Reference IN (SELECT LEFT(Compte, 1) FROM Detail WHERE Reference = 'CAI2014.140036.001')

=>you will fall in an endless search (or sometimes crash) and must force close the SQL tab and close the database.
This query used in my Realbasic application crash the application.
Additional Information1) This query in Valentina 4.3 does work well
2) The query, in Valentina 5.8.5, without the SQL expression in the subquery, does work well :
SELECT Reference FROM Plan WHERE Reference IN (SELECT Compte FROM Detail WHERE Reference = 'CAI2014.140036.001')

Tested in Mac OS 10.6.8, French
TagsNo tags attached.

Relationships

related to 0007394 resolvedIvan Smahin Crash when checking if value does exist in subquery on Windows 

Activities

François Van Lerberghe

François Van Lerberghe

2015-06-28 08:03

reporter  

TestSQL585.zip (216,382 bytes)
François Van Lerberghe

François Van Lerberghe

2015-12-22 07:59

reporter   ~0008666

This sql query on *Windows* with vStudio 5.8 or 6.2 crash the application :

SELECT * FROM tblCust
WHERE UPPER(tblCust.fldCity) NOT IN (SELECT tblCity.fldName FROM tblCity)

Replacing the UPPER(tblCust.fldCity) with tblCust.fldCity (removing the function) doesn't crash anymore.
Ivan Smahin

Ivan Smahin

2015-12-22 09:42

developer   ~0008669

There is no problem at least on mac. Checking on win now. But could you attach relevant test db (the attached db has no tblCust, tblCity tables )?
Ivan Smahin

Ivan Smahin

2015-12-22 10:38

developer   ~0008670

Everything works fine - win32 and win64. So I need your db for further testing.
François Van Lerberghe

François Van Lerberghe

2015-12-22 12:42

reporter   ~0008673

Try this similar query with the attached db :

SELECT Detail.Reference FROM Detail WHERE
UPPER(Detail.Compte) IN (SELECT UPPER(Plan.Reference) FROM Plan)

With VStudio 5.8.8, it crash on MacOS too.
Ivan Smahin

Ivan Smahin

2015-12-26 12:53

developer   ~0008695

It is fixed - see 0007394

Issue History

Date Modified Username Field Change
2015-06-28 08:03 François Van Lerberghe New Issue
2015-06-28 08:03 François Van Lerberghe File Added: TestSQL585.zip
2015-09-03 11:50 Ivan Smahin Assigned To => Ivan Smahin
2015-09-03 11:50 Ivan Smahin Status new => assigned
2015-09-03 15:16 Ivan Smahin Status assigned => resolved
2015-09-03 15:16 Ivan Smahin Fixed in Version => 5.8
2015-09-03 15:16 Ivan Smahin Resolution open => fixed
2015-12-22 07:59 François Van Lerberghe Note Added: 0008666
2015-12-22 07:59 François Van Lerberghe Status resolved => feedback
2015-12-22 07:59 François Van Lerberghe Resolution fixed => reopened
2015-12-22 09:13 Ivan Smahin Relationship added related to 0007394
2015-12-22 09:42 Ivan Smahin Note Added: 0008669
2015-12-22 10:38 Ivan Smahin Note Added: 0008670
2015-12-22 12:42 François Van Lerberghe Note Added: 0008673
2015-12-22 12:42 François Van Lerberghe Status feedback => assigned
2015-12-26 12:53 Ivan Smahin Note Added: 0008695
2015-12-26 12:53 Ivan Smahin Status assigned => resolved
2015-12-26 12:53 Ivan Smahin Fixed in Version 5.8 => 6.2.x
2015-12-26 12:53 Ivan Smahin Resolution reopened => fixed